Download it now!
Bug 67919 - AXMenuButton's should implement AXShowMenu
Summary: AXMenuButton's should implement AXShowMenu
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2013-08-08 20:08 UTC by Boris Dušek
Modified: 2020-01-23 04:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Dušek 2013-08-08 20:08:46 UTC
Overview:
Currently it's impossible to show menu of AXMenuButtons with VoiceOver.

Steps to reproduce:
1. Find some enabled AXMenuButton - e.g. the "New" button in Writer toolbar (usually top-most left-most button in the toolbar area)
2. Move VoiceOver cursor to it (e.g. by turning VoiceOver on by Cmd-F5 and then pressing F6 once to land on "New selected menu button"
3. Try showing the button's menu (as opposed to pressing it)

Actual results:
There is no way, VO-Shift-M does nothing, VO-Space presses the button

Expected results:
There is a way - VO-Shift-M shows the button menu as opposed to pressing the button with VO-Space

Regression:
Tested on OS X 10.8.4 with LibreOffice master (39a78087890fb9255a5e47220bac6cfb956fcfe0)

Notes:
Implementing the AXShowMenu action to show the menu it the way to go.
Comment 1 Alex Thurgood 2014-12-01 14:45:42 UTC
This works for me with Ctrl-Down arrow on OSX 10.10.1 and LO 4341
Comment 2 Boris Dušek 2014-12-03 19:45:04 UTC
(In reply to Alex Thurgood from comment #1)
> This works for me with Ctrl-Down arrow on OSX 10.10.1 and LO 4341

Ctrl-Down is not the way VoiceOver user is supposed to invoke context menu. The way to do that is VO-Shift-M (which invokes AXShowMenu action). Besides VoiceOver, AXShowMenu action can be used also by UI testing/automation tools.

My wording in original bug report was a bit improper as it may have implied that if there is *any* way to show the context menu (like Ctrl-down arrow), the bug should be closed. What I really meant is that AXShowMenu should be implemented so that the user interface works for VoiceOver user the way they are supposed (and used to) to use it.

So until AXShowMenu action is implemented and VO-Shift-M works with VoiceOver, this bug has to be kept open.
Comment 3 Alex Thurgood 2014-12-05 14:32:57 UTC
Reopened is for bugs that are allegedly fixed by known code changes which don't work, so setting this to new instead.
Comment 4 Robinson Tryon (qubit) 2015-12-10 03:37:49 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:40:07 UTC Comment hidden (obsolete)
Comment 6 Boris Dušek 2017-01-03 19:53:02 UTC
Still reproducible with:

macOS 10.12.2
LibreOffice 5.2.4
Comment 7 QA Administrators 2018-01-04 03:35:30 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-01-23 04:17:40 UTC
Dear Boris Dušek,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug